Bug 1283749 - Some GUI dialogs which should be error dialogs are information dialogs, breaking automated testing
Some GUI dialogs which should be error dialogs are information dialogs, break...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.8
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: William Poteat
Sean Toner
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-19 12:41 EST by Sean Toner
Modified: 2017-03-21 06:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-21 06:53:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
information dialog when username is blank (395.12 KB, image/png)
2015-11-19 12:42 EST, Sean Toner
no flags Details
Still has an information dialog (283.79 KB, image/png)
2016-04-19 12:17 EDT, Sean Toner
no flags Details
error dialog when password is blank (205.45 KB, image/png)
2016-11-04 06:56 EDT, Shwetha Kallesh
no flags Details
Error dialog when username is blank (209.98 KB, image/png)
2016-11-04 06:57 EDT, Shwetha Kallesh
no flags Details

  None (edit)
Description Sean Toner 2015-11-19 12:41:09 EST
Description of problem:
=======================

Starting with at least the subscription-manager-gui-1.16.4-1.git.0.c250102.el6.x86_64 code base, when some actions are followed up by dialogs, the dialog boxes are info dialogs rather than error dialogs.

The inconsistency between popping up info or dialog windows breaks automation tests which assumes that if an info dialog pops up, things are ok.  Here are some examples:

Register with an empty username
Register with an empty password
Register without a system name

However, some fields when missing any text throw an error dialog. For example, failing to enter any text for the subscription server results in an error dialog box.  Also, entering incorrect user/pw combo results in an error dialog.

However, missing fields should be treated the same as errors...meaning that the user has entered incorrect information (as is correctly done when no subscription URL is provided).


Version-Release number of selected component (if applicable):
============================================================

[root@rhel67-stoner-test ~]# rpm -qa | grep subscription
subscription-manager-gui-1.16.4-1.git.0.c250102.el6.x86_64
subscription-manager-1.16.4-1.git.0.c250102.el6.x86_64
subscription-manager-firstboot-1.16.4-1.git.0.c250102.el6.x86_64
subscription-manager-migration-1.16.4-1.git.0.c250102.el6.x86_64
subscription-manager-migration-data-2.0.22-1.git.0.4260892.el6.noarch
subscription-manager-plugin-container-1.16.4-1.git.0.c250102.el6.x86_64


How reproducible:
=================

Always


Steps to Reproduce:
1. In the GUI, leave the username blank 
2. Notice the Icon is a light bulb indicating an info dialog box


Actual results:
An information dialog box shows up to inform user of problem

Expected results:
An error dialog box should show up to inform user of problem

Additional info:
Comment 2 Sean Toner 2015-11-19 12:42 EST
Created attachment 1096833 [details]
information dialog when username is blank

Screenshot of an information dialog that is presented when the user leaves the username field blank
Comment 3 Chris Snyder 2016-01-07 18:06:22 EST
commit c89df8add6d34a86eff0288fe7abee672902dcab
Author: William Poteat <wpoteat@redhat.com>
Date:   Mon Jan 4 12:02:08 2016 -0500

    1283749: Upgrade the dialogs to error when required fields are blank.
    
    Also corrected a couple of stylish issues.
Comment 4 Mike McCune 2016-03-28 19:46:11 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 6 Sean Toner 2016-04-19 12:17:01 EDT
The dialogs are still showing up as Informational type dialogs (see attached screenshot).  Not only does the dialog still show up as an Informational type dialog but the locator name still says "Informational" (see attached screenshot)

Ultimately, the way that we determine if a dialog is an error type dialog or not is by looking at the locator name.  The ldtp tool that we use has a property called "class" for a window, but it always returns "alert" whether it's an info type dialog, or error type dialog.
Comment 7 Sean Toner 2016-04-19 12:17 EDT
Created attachment 1148703 [details]
Still has an information dialog
Comment 8 Chris Snyder 2016-04-19 13:11:04 EDT
Deferring to rhel 6.9 as the fix did not pass qa.
Comment 10 William Poteat 2016-07-07 11:12:35 EDT
master commit 85fb4d6c5988b15f72b8d5cfd24e2f63041765d2
Comment 12 Shwetha Kallesh 2016-11-04 06:56 EDT
Created attachment 1217363 [details]
error dialog when password is blank
Comment 13 Shwetha Kallesh 2016-11-04 06:57 EDT
Created attachment 1217364 [details]
Error dialog when username is blank
Comment 14 Shwetha Kallesh 2016-11-04 06:59:28 EDT
Moving bug to verified state as I see the error dialogues while attempting to register using blank username and password 

[root@dhcp35-71 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.51.20-1
subscription management rules: 5.15.1
subscription-manager: 1.18.3-1.el6
python-rhsm: 1.18.4-1.el6
Comment 16 errata-xmlrpc 2017-03-21 06:53:59 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0698.html

Note You need to log in before you can comment on or make changes to this bug.